//-----------------------------------------------------------------------------
// File: Main.h
//
// Desc: Main application entry / handling header file.
//
// Copyright (c) 1997-2002 Adam Hoult & Gary Simmons. All rights reserved.
//-----------------------------------------------------------------------------

#ifndef _MAIN_H_
#define _MAIN_H_

//-----------------------------------------------------------------------------
// Main Application Includes
//-----------------------------------------------------------------------------
#include <windows.h>
#include <stdio.h>
#include <sys\stat.h>
#include <d3d9.h>
#include <d3dx9.h>
#include <d3dx9math.h>
#include <mmsystem.h>

#include <string>

#include "Parameter.h"

#define RANDOM_COLOR 0xFF000000 | ((rand() * 0xFFFFFF) / RAND_MAX)

template<class T> void SAFE_RELEASE(T t)
{
	if( t )
	{
		t->Release();
		t = 0;
	}
};
#endif // _MAIN_H_