#pragma once
#include "afxwin.h"


// CMenu_Particle dialog
enum Particle
{
	All = -1,
	Rain = 0,
	Snow = 1,
	Sun = 2,
	Fog = 3
};

class CMenu_Particle : public CDialog
{
	DECLARE_DYNAMIC(CMenu_Particle)

public:
	CMenu_Particle(CWnd* pParent = NULL);   // standard constructor
	virtual ~CMenu_Particle();

// Dialog Data
	enum { IDD = IDD_MENU_PARTICLE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CButton m_Fog_Use;
	float m_Fog_Exp2;
	float m_Fog_Start;
	float m_Fog_end;
	UINT m_TransColor;

	void SetControlItem(Particle flag, bool Enable);
	
	virtual BOOL OnInitDialog();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnBnClickedParCFog();
	int m_Fog_Color_R;
	int m_Fog_Color_G;
	int m_Fog_Color_B;
	int m_Fog_Color_A;
};
